Package de.willuhn.jameica.hbci.server

# Class Range

java.lang.Object
de.willuhn.jameica.hbci.server.Range

Direct Known Subclasses:
  `Range.All`, `Range.CustomRange`, `Range.Last10Years`, `Range.Last12Months`, `Range.Last365Days`, `Range.Last3Years`, `Range.Last5Years`, `Range.LastMonth`, `Range.LastNinetyDays`, `Range.LastQuarter`, `Range.LastSevenDays`, `Range.LastThirtyDays`, `Range.LastWeek`, `Range.LastYear`, `Range.SecondLastMonth`, `Range.SecondLastQuarter`, `Range.SecondLastWeek`, `Range.SecondLastYear`, `Range.ThisMonth`, `Range.ThisQuarter`, `Range.ThisWeek`, `Range.ThisYear`

public abstract class Range extends Object
Bean mit moeglichen Zeitraeumen.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Range.All`
Zeitraum ohne Einschränkungen
`static enum`
`Range.Category`
Enum mit den Kategorien.
`static class`
`Range.CustomRange`
Ein benutzerdefinierter Zeitraum.
`static class`
`Range.Last10Years`
Zeitraum ab heute vor zehn Jahren
`static class`
`Range.Last12Months`
Berechnet den Zeitraum der letzten 12 Monate.
`static class`
`Range.Last365Days`
Zeitraum ab heute vor einem Jahr
`static class`
`Range.Last3Years`
Zeitraum ab heute vor drei Jahren
`static class`
`Range.Last5Years`
Zeitraum ab heute vor fünf Jahren
`static class`
`Range.LastMonth`
Berechnet den letzten Monat.
`static class`
`Range.LastNinetyDays`
Zeitraum fuer die letzten 90 Tage.
`static class`
`Range.LastQuarter`
Berechnet letztes Quartal.
`static class`
`Range.LastSevenDays`
Zeitraum fuer die letzten 7 Tage.
`static class`
`Range.LastThirtyDays`
Zeitraum fuer die letzten 30 Tage.
`static class`
`Range.LastWeek`
Berechnet letzte Woche.
`static class`
`Range.LastYear`
Berechnet letztes Jahr.
`static class`
`Range.SecondLastMonth`
Berechnet den vorletzten Monat.
`static class`
`Range.SecondLastQuarter`
Berechnet vorletztes Quartal.
`static class`
`Range.SecondLastWeek`
Berechnet vorletzte Woche.
`static class`
`Range.SecondLastYear`
Berechnet vorletztes Jahr.
`static class`
`Range.ThisMonth`
Berechnet diesen Monat.
`static class`
`Range.ThisQuarter`
Berechnet dieses Quartal.
`static class`
`Range.ThisWeek`
Berechnet diese Woche.
`static class`
`Range.ThisYear`
Berechnet dieses Jahr.

## Constructor Summary

Constructors
Constructor
Description
`Range()`

## Method Summary

Modifier and Type
Method
Description
`static Range`
`byId(String name)`
Versucht den Range anhand des Identifiers zu ermitteln.
`protected Calendar`
`createCalendar()`
Erzeugt einen neuen Kalender, der als Basis fuer die Berechnung dient.
`static void`
`deleteCustomRange(Range.Category category, Range.CustomRange range)`
Löscht einen benutzerspezifischen Zeitraum.
`static List<Range>`
`getActiveRanges(Range.Category category)`
Liefert die aktiven Zeitraeume fuer die angegebene Kategorie.
`static List<Range>`
`getAllRanges(Range.Category category)`
Liefert alle Zeitraeme fuer die angegebene Kategorie.
`abstract Date`
`getEnd()`
Berechnet das End-Datum.
`String`
`getId()`
Liefert einen Identifier fuer den Range.
`abstract Date`
`getStart()`
Berechnet das Start-Datum.
`static void`
`resetActiveRanges(Range.Category category)`
Setzte die aktiven Zeitraeume auf die System-Vorgabe zurueck.
`static void`
`saveCustomRange(Range.Category category, Range.CustomRange range)`
Speichert einen benutzerspezifischen Zeitraum.
`static void`
`setActiveRanges(Range.Category category, List<Range> ranges)`
Speichert die fuer die Kategorie zu verwendenden Zeitraeume.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Range

public Range()

## Method Details

### getAllRanges

public static List<Range> getAllRanges(Range.Category category)
Liefert alle Zeitraeme fuer die angegebene Kategorie.

Parameters:
  `category` - Kategorie.
Returns:
  Liste der Zeitraeume.

### getActiveRanges

public static List<Range> getActiveRanges(Range.Category category)
Liefert die aktiven Zeitraeume fuer die angegebene Kategorie.

Parameters:
  `category` - Kategorie.
Returns:
  Liste der anzuzeigenden Zeiträume für die gegebene Kategorie.

### deleteCustomRange

public static void deleteCustomRange(Range.Category category, Range.CustomRange range)
Löscht einen benutzerspezifischen Zeitraum.

Parameters:
  `category` - die Kategorie.
  `range` - der Zeitraum.

### saveCustomRange

public static void saveCustomRange(Range.Category category, Range.CustomRange range)
Speichert einen benutzerspezifischen Zeitraum.

Parameters:
  `category` - die Kategorie.
  `range` - der Zeitraum.

### setActiveRanges

public static void setActiveRanges(Range.Category category, List<Range> ranges)
Speichert die fuer die Kategorie zu verwendenden Zeitraeume.

Parameters:
  `category` - Kategorie.
  `ranges` - Liste der anzuzeigenden Zeiträume für die gegebene Kategorie.

### resetActiveRanges

public static void resetActiveRanges(Range.Category category)
Setzte die aktiven Zeitraeume auf die System-Vorgabe zurueck.

Parameters:
  `category` - Kategorie.

### byId

public static Range byId(String name)
Versucht den Range anhand des Identifiers zu ermitteln.

Parameters:
  `name` - der Name des Range.
Returns:
  der Range oder NULL, wenn er nicht gefunden wurde.

### getStart

public abstract Date getStart()
Berechnet das Start-Datum.

Returns:
  das Start-Datum.

### getEnd

public abstract Date getEnd()
Berechnet das End-Datum.

Returns:
  das End-Datum.

### getId

public String getId()
Liefert einen Identifier fuer den Range.

Returns:
  Identifier fuer den Range.

### createCalendar

protected Calendar createCalendar()
Erzeugt einen neuen Kalender, der als Basis fuer die Berechnung dient.

Returns:
  einen neuen Kalender, der als Basis fuer die Berechnung dient.